<?php $title = 'خط مشی';
require 'src/header.php';
?>

<header class="jumbotron jumbotron-fluid">
    <div class="container">
        <h1><?= $title ?></h1>
        <p class="lead">اصول کار وب سایت</p>
    </div>
</header>
<div class="container">
    <h1 class="breach-title">قاعده کلی</h1>
    <ul>
        <li>ما هیچ کدام از اطلاعات فاش شده را ارائه نمی دهیم.</li>
        <li>ما هیچ کدام از اطلاعات فاش شده را در فایل متنی ساده ذخیره نمی کنیم.</li>
        <li>کلیه خدمات وب سایت مطابق با قوانین جمهوری اسلامی ایران است.</li>
        <li>هدف ما تقویت آگاهی عمومی جامعه در مورد امنیت اطلاعات و حمایت از کاربران فعال در اینترنت (کاهش معضل افشای اطلاعات شخصی و افزایش مسئولیت پذیری شرکت ها در خصوص حفظ حریم خصوصی کاربران) است.</li>
    </ul>
    <h1 class="breach-title">تعریف کلمات</h1>
    <ul>
        <li>SHA-1: الگوریتم هش امن ۱ (در رمز نگاری اس‌اچ‌ای-۱ یا شا-۱) یک الگوریتم رمزنگاری که توسط توسط سازمان امنیت ملی ایالات متحدهٔ آمریکا طراحی شده است.</li>
        <li>واحد نشت: به مجموعه یا سازمانی گفته می شود که اطلاعات از آن فاش شده است.</li>
        <li>این وب سایت، این سایت: Leakfa.com سامانه ردیابی نشت اطلاعات ایرانیان.</li>
    </ul>
    <h1 class="breach-title">جزئیات اصول</h1>
    <ul>
        <li>سیاست نشت داده ها</li>
        <ul>
            <li>این سایت فقط اطلاعات افشا شده ای نظیر شماره تلفن همراه و یا آدرس ایمیل را که تبدیل به هش SHA-1 شده است را ذخیره می کند تا کاربران بتوانند، نشت اطلاعات شخصی خود را استعلام کنند. این سایت هیچ داده ای را که بتواند شخص حقیقی را مستقیماً شناسایی کند، ذخیره نمی کند.</li>
            <li>وقتی این وب سایت داده‌های افشا شده را دریافت می کند، فقط شماره تلفن های همراه و یا آدرس های ایمیل استخراج شده و تبدیل به هش SHA-1  می شوند، سپس در پایگاه داده ذخیره می شوند. در همان زمان، ما منبع و نوع داده های فاش شده را مشخص می کنیم. پس از پردازش، داده های اصلی فاش شده بلافاصله حذف می شوند تا از نشت ثانویه و آسیب دوباره جلوگیری شود.</li>
        </ul>
    </ul>
    <ul>
        <li>خط مشی مدیریت اعلان نشت</li>
        <ul>
            <li>پس از دریافت داده ها و بررسی آن، این سایت، در صورتی که واحد نشت را هنوز قابل دسترس تشخیص دهد، گزارش آن را به مرکز ماهر (CERT) و مجموعه آسیب دیده اطلاع می دهد. اگر منبع داده نتواند تعیین شود، داده ها مطابق با سیاست پردازش داده های فاش شده حذف می شود تا از نشت ثانویه و آسیب دیدگی جلوگیری شود.</li>
        </ul>
    </ul>
    <ul>
        <li>سیاست افشای واحد نشت</li>
        <ul>
            <li>به منظور ارتقا منافع عمومی، این سایت نام واحد اصلی نشت شده را بصورت عمومی افشا می کند. زمانی که سایت اطلاعات درز کرده جدیدی را دریافت و طبق روال فوق پردازش کرد، ۳۰ روز بعد داده ها برای استعلام کاربران در وب سایت منتشر می شود. اگر منبع نشت قابل شناسایی نباشد، نوع نشت مشخص شده و جایگزین می شود.</li>
        </ul>
    </ul>
    <ul>
        <li>سیاست افشای منبع</li>
        <ul>
            <li>بنابر دلایل گفته شده، این سایت همچنین منبع نشت را برای منافع عمومی و بازبینی همگان منتشر خواهد کرد، اما تا زمانی که دسترسی به منبع حذف نشود، نمی توان نام منبع نشت شده را اعلام کرد.</li>
        </ul>
    </ul>
    <ul>
        <li>گزارش نشت داده ها</li>
        <ul>
            <li>برای ارسال اطلاعات درز کرده، لطفاً فرم زیر را بررسی کرده و همراه با داده های درز کرده به آدرس <a href="mailto:info@leakfa.com">info@leakfa.com</a> ارسال کنید، پیشنهاد می‌شود از <a href="https://keyserver.ubuntu.com/pks/lookup?op=get&search=0x8eba26e301b4ac8584f91dd6f89c33ed43bb86b3"target="_blank">PGP Key</a> برای رمزنگاری استفاده شود. ما آن را در اسرع وقت پردازش و اطلاع رسانی خواهیم کرد.</li>
        </ul>
    </ul>
    <table class="table table-bordered" style="max-width: 600px;margin: 0 auto;">
        <thead>
            <tr>
                <td>
                    <p>رشته</p>
                </td>
                <td>
                    <p>مقدار</p>
                </td>
                <td>
                    <p>ملاحظات</p>
                </td>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <p>واحد نشت شده</p>
                </td>
                <td>
                    <p>واحد اصلی / ناشناخته</p>
                </td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>
                    <p>سایت نشت</p>
                </td>
                <td>
                    <p>سایت لو رفته / ناشناخته</p>
                </td>
                <td>
                    <p>نام دامنه</p>
                </td>
            </tr>
            <tr>
                <td>
                    <p>دسته داده</p>
                </td>
                <td>
                    <p>دولت / موسسه آموزشی / شرکت خصوصی / دیگر</p>
                </td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>
                    <p>منبع نشت</p>
                </td>
                <td>
                    <p>سایت اصلی / انجمن ها / وب تاریک <br> URL</p>
                </td>
                <td>
                    <p>اگر نشت اطلاعات مستقیماً از وب سایت اصلی باشد، <br />
                        می توانید مستقیماً URL وب سایت را وارد کنید</p>
                </td>
            </tr>
            <tr>
                <td>
                    <p>آیا واحد قبلا نیز اطلاعات درز شده داشته است</p>
                </td>
                <td>
                    <p>بله / خیر / ناشناخته</p>
                </td>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>
                    <p>اعتبار به</p>
                </td>
                <td>
                    <p>نام / ایمیل شما</p>
                </td>
                <td>
                    <p>در وب سایت نوشته خواهد شد <br />
                        لطفا با دقت انتخاب کنید</p>
                </td>
            </tr>
        </tbody>
    </table><br />
    <h3 class="breach-title">سیاست حفظ حریم خصوصی</h3>
    <p>با تشکر از شما برای استفاده از "سامانه ردیابی نشت اطلاعات ایرانیان" (از این پس به این وب سایت گفته می شود)، برای اینکه بتوانید با آسودگی خاطر از خدمات و اطلاعات این وب سایت استفاده کنید، بدین‌وسیله سیاست محافظت از حریم خصوصی کاربران این وب سایت را برای شما توضیح می دهم، لطفا موارد زیر را بخوانید: </p>

    <h6 class="breach-title">محدوده استفاده از سیاست حفظ حریم خصوصی</h6>
    <p>محتوای سیاست حفظ حریم خصوصی، از جمله چگونگی نحوه مدیریت این وب سایت در مورد اطلاعات شخصی جمع آوری شده هنگام استفاده از خدمات وب سایت و خط مشی محافظت از حریم خصوصی کاربران این وب سایت می باشد. این سیاست ها در مورد وب سایت های مرتبط اعمال نمی شود.</p>
    <ol>
        <li>جمع آوری، پردازش و استفاده از داده های شخصی
            <ul>
                <li>هنگامی که از این وب سایت بازدید می کنید یا از خدمات کاربردی ارائه شده توسط این وب سایت استفاده می کنید، ما به ماهیت سرویس متکی خواهیم داشت، لطفاً اطلاعات شخصی لازم را ارائه دهید و داده های شخصی خود را در محدوده این هدف خاص پردازش و استفاده کنید. این وب سایت از داده های شخصی ارائه شده برای اهداف دیگر استفاده نمی کند.</li>
                <li>وقتی از تابع جستجوی نشت اطلاعات در این وب سایت استفاده می کنید، مقدار هش، زمان استفاده، آدرس IP و مقدار نشت یا عدم نشت اطلاعات ارائه شده توسط شما به عنوان پایه ای برای تجزیه و تحلیل و بهبود خدمات سرویس ذخیره می شود. </li>
                <li>در هنگام مرور عادی، سرور به طور خودکار اقدامات مربوطه را از جمله، آدرس IP، زمان استفاده، مرورگر مورد استفاده، مرور و کلیک روی سوابق نشت و غیره را ضبط می کند، این اطلاعات به عنوان یک مرجع برای بررسی رفتار کاربران و بهبود خدمات وب سایت استفاده خواهد شد. این داده ها مربوط به یک برنامه داخلی است و هرگز به صورت عمومی منتشر نخواهند شد.</li>
            </ul>
        </li>

        <li>حفاظت از اطلاعات
            <ul>
                <li>میزبان این وب سایت اقدامات لازم محافظتی را برای ارائه بهترین خدمات در نظر گرفته است. همچنین اقدامات حفاظتی شدیدی برای داده های شخصی شما اتخاذ می شود. فقط پرسنل مجاز می توانند به اطلاعات شخصی شما دسترسی داشته باشند و هر کسی که تعهدات رازداری را نقض کند، توسط قوانین مربوط مجازات خواهد شد.</li>
                <li>در صورت لزوم سپردن دسترسی به واحدهای دیگر برای ارائه خدمات به دلیل نیازهای تجاری، این وب سایت همچنین اکیداً آنها را ملزم به رعایت تعهدات محرمانه می کند و روش های بازرسی لازم را برای اطمینان از پیروی از آنها انجام می دهد.</li>
            </ul>
        </li>

        <li>پیوند به وب سایت های خارجی
        <p>صفحات این وب سایت ممکن است حاوی پیوند هایی به وب سایت های دیگر باشند. می توانید برای ورود به وب سایت های دیگر بر روی پیوندهای ارائه شده توسط این وب سایت کلیک کنید. با این حال، وب سایت پیوند داده شده جزو سیاست های حفظ حریم خصوصی این وب سایت نمی شود. شما باید به سیاست حفاظت از حریم خصوصی وب سایت پیوند داده شده مراجعه کنید.        </li>

        <li>خط مشی اشتراک اطلاعات شخصی با اشخاص ثالث
            <p>این وب سایت هرگز داده های شخصی شما را به افراد، گروه ها، شرکت های خصوصی یا مقامات دولتی ارائه، مبادله، اجاره یا به فروش نمی گذارد، اما افرادی که مبنای قانونی دارند فقط به این گروه ها محدود نمی شوند.</p>
        </li>

        <li>استفاده از کوکی ها
            <p>به منظور ارائه بهترین خدمات به شما، این وب سایت از فناوری ارائه شده توسط Google Analytics استفاده می کند که کوکی ها را از این سرویس در رایانه شما قرار داده و بازیابی می کند. می توانید سطح حریم خصوصی مرورگر خود را روی بالاترین سطح قرار دهید تا مانع از نوشتن کوکی ها شوید.        </li>

        <li>اصلاح سیاست حفظ حریم خصوصی
            <p>سیاست حفظ حریم خصوصی این وب سایت در هر زمان با توجه به نیاز تجدید نظر می شود و شرایط اصلاح شده در وب سایت منتشر می شود.</p>
        </li>
    </ol>

    <h6 class="breach-title">شرایط استفاده از اطلاعات در این سایت</h6>
    <p>رسانه ها یا اشخاص با کمال میل می توانند بدون پرداخت هزینه از سامانه جستجو استفاده و اطلاعات را به اشتراک گذارند، اما آنها باید نسخه اصلی را حفظ کنند، اطلاعات نباید پیچ خورده و دستکاری شوند و منبع را ناقص نشان دهند. اگر می خواهید استفاده تجاری کنید، لطفاً ابتدا رضایت بگیرید. اگر در مورد مقررات مربوطه بلاتکلیف هستید، برای تأیید با ما تماس بگیرید.</p>

    <h6 class="breach-title">احکام و مراجع قانونی مربوط</h6>
    <p>با توجه به اینکه در قانون اساسی ایران، اصل یا اصول خاصی در رابطه با جمع آوری یا پردازش اطلاعات شخصی توسط آژانس‌های غیر دولتی وجود ندارد، این سایت با تکیه بر قوانین بین المللی و کشور های توسعه یافته عمل خواهد کرد.</p>

    <h3 class="breach-title" id="tos">شرایط استفاده از خدمات</h3>
    <ol>
        <li>کد <p>این سایت نمونه ای از یک پروژه متن باز است. به جز پرونده های پیکربندی، کد اجرایی این سایت با نسخه متن باز بدون هیچ گونه تغییر دیگری اجرا شده است. مشارکت ها، ادغام ها و سایر عملیات های مرتبط به استفاده از جامعه متن باز نیز به شدت مورد بررسی و بازبینی قرار خواهند گرفت.</p>
        </li>

        <li>محتوای سرویس<p>با توجه به ناکافی بودن مفهوم امنیت اطلاعات در جامعه ایران، این بستر برای ارتقا منافع عمومی و افزایش سواد عمومی امنیت اجتماعی ایران خدمات زیر را ارائه می دهد:</p>
            <ul>
                <li>سوالات مربوط به نشت اطلاعات شخصی</li>
                <li>اطلاع رسانی و ردیابی نشت اطلاعات شخصی</li>
                <li>استعلام و اطلاع به واحد منبع نشت اطلاعات</li>
            </ul>
        </li>

        <li>شرایط استفاده<p>اگر سامانه مورد مشکوکی را پیدا کند که مشخصات زیر را نقض کرده، برای اطمینان از انصاف استفاده از خدمات ارائه شده، لازم است دسترسی فرد از طریق مسدود سازی آدرس IP کاربر مظنون جلوگیری شود و پس از تأیید موارد مربوطه، آن را از سر بگیرید یا برای همیشه ارائه خدمات به آن را متوقف کند.</p>
            <ul>
                <li>از خدمات ارائه شده برای اهداف غیر قانونی استفاده کنید</li>
                <li>ارتباطات مخرب گسترده در هنگام استفاده از خدمات وب سایت داشته باشد</li>
                <li>اخبار غیرواقعی نسبت به این سامانه را نشر دهند</li>
                <li>قصد تداخل در استفاده کاربران از این سامانه را داشته باشد</li>
                <li>این سامانه را برای اهداف مخرب جعل کند</li>
            </ul>
        </li>

        <li>سلب مسئولیت<p>به منظور افزایش منافع عمومی، این پلتفرم خدمات خود را در سطح خدمات معقول ارائه می دهد و قول می دهد تمام تلاش خود را برای بهبود کیفیت خدمات انجام دهد. با این حال، به جز مقررات خاص این ماده، هیچ تعهد خاص دیگری متعهد نشده است.</p>
            <ul>
                <li>این سامانه هیچ تعهدی نسبت به عملکردهای خاص و قابلیت اطمینان یا قابلیت استفاده آنها برای تأمین نیازهای شما ندارد. این سامانه خدمات مرتبط "همانطور که هست" و "همانطور که ارائه شده است" را ارائه می دهد.</li>
                <li>این سامانه تضمینی برای ارائه خدمات بدون خطا یا بدون وقفه را نمی دهد.</li>
                <li>این سامانه تضمینی برای نتیجه ارائه شده پس از استفاده از خدمات را نمی دهد.</li>
            </ul>
        </li>

        <li>منابع مالی<p>بودجه این پلتفرم توسط مسئول وب سایت و سایر اعضای جامعه بدون قید و شرط و به صورت حمایت های مالی تامین می شود. این پلتفرم قول می دهد هرگز هزینه ای را به طور مستقیم از شما دریافت نمی کند. به دلیل هدف خیرخواهانه و عدم نیاز به پرداخت برای این پروژه از ابتدا، نگهداری و نوسازی آن متکی به کمک های اجتماعی و اشتیاق جامعه است. این سامانه از کمک های مردمی و اشخاص حقوقی استقبال می کند، اما هیچ شرط تبادل دیگری غیر از هدف برای اطمینان از انصاف و عدالت این سرویس را ندارد.</p>
        </li>

        <li>استفاده از منابع مالی<p>استفاده از منابع مالی دریافت شده توسط این سامانه برای نگهداری و به روزرسانی وب سایت یا هزینه های لازم برای کارکنان محدود می شود و هرگز به اهداف دیگر هدایت نخواهد شد.</li>

        <li>تغییرات محتوای سرویس<p>به طور موقت یا دائمی، خواه از قبل به کاربر اطلاع داده شود یا خیر، حق تغییر یا غیرفعال کردن سرویس به دلیل بی ثباتی ناشی از ماهیت رایگان بودن این پلتفرم برای ما محفوظ است. این سامانه نیازی به مسئولیت شما یا شخص ثالث در قبال اصلاح یا تعلیق محتوای سرویس ندارد. علاوه بر این، پلتفرم حق تغییر، تنظیم، افزودن یا حذف محتویات این سامانه را در هر زمان برای خود محفوظ می داند، صرف نظر از اینکه کاربر از قبل مطلع شده باشد.</p>
        </li>

        <li>موارد دیگر
            <ul>
                <li>خط مشی های نوشته شده در این صفحه در پاسخ به تغییرات در مقررات یا شرایط دیگر، تغییر در نیازها و غیره ، برای پیاده سازی و محافظت از حقوق حریم خصوصی شما، به طور مناسب اصلاح می شوند. شرایط اصلاح شده بلافاصله در این وب سایت اعلام خواهد شد.</li>
                <li>در مواردی که سیاست های این صفحه به وضوح مشخص نشده باشد، قوانین مربوط به IRI اعمال می شود.</li>
                <li>به منظور محافظت از کیفیت خدمات، برنامه ای برای استفاده از خدمات تبلیغاتی وجود ندارد.</li>
            </ul>
        </li>
    </ol>
</div>
<?php require 'src/footer.php'; ?>
